Package org.drinkless.tdlib

# Class TdApi.ClickChatSponsoredMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ClickChatSponsoredMessage

Enclosing class:
  TdApi

public static class TdApi.ClickChatSponsoredMessage extends TdApi.Function<TdApi.Ok>
Informs TDLib that the user opened the sponsored chat via the button, the name, the photo, or a mention in the sponsored message.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier of the sponsored message.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the sponsored message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClickChatSponsoredMessage()`
  Default constructor for a function, which informs TDLib that the user opened the sponsored chat via the button, the name, the photo, or a mention in the sponsored message.
  `ClickChatSponsoredMessage(long chatId, long messageId)`
  Creates a function, which informs TDLib that the user opened the sponsored chat via the button, the name, the photo, or a mention in the sponsored message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier of the sponsored message.

  - ### messageId

    public long messageId
    Identifier of the sponsored message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClickChatSponsoredMessage

    public ClickChatSponsoredMessage()
    Default constructor for a function, which informs TDLib that the user opened the sponsored chat via the button, the name, the photo, or a mention in the sponsored message.

    Returns `Ok`

  - ### ClickChatSponsoredMessage

    public ClickChatSponsoredMessage(long chatId, long messageId)
    Creates a function, which informs TDLib that the user opened the sponsored chat via the button, the name, the photo, or a mention in the sponsored message.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier of the sponsored message.
      `messageId` - Identifier of the sponsored message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR